{
    "name": "discord-module-logger",
    "version": "1.0.1",
    "description": "Discord logging utility with flexible interfaces.",
    "main": "build/index.js",
    "scripts": {
        "build": "rollup --config rollup.config.js",
        "build:watch": "rollup --config rollup.config.js -w",
        "test": "jest",
        "prepare": "husky install",
        "release": "standard-version",
        "format": "prettier --write .",
        "lint": "eslint . --ext .js,.jsx,.ts,.tsx"
    },
    "keywords": [
        "discord.js",
        "discord",
        "discord-modules"
    ],
    "author": {
        "name": "University of New Hampshire",
        "email": "csonline@cs.unh.edu",
        "url": "https://ceps.unh.edu/computer-science"
    },
    "license": "MIT",
    "devDependencies": {
        "@commitlint/cli": "16.3.0",
        "@commitlint/config-conventional": "16.2.4",
        "@rollup/plugin-commonjs": "22.0.0",
        "@rollup/plugin-json": "4.1.0",
        "@rollup/plugin-node-resolve": "13.3.0",
        "@rollup/plugin-typescript": "8.3.2",
        "@tsconfig/node17": "1.0.0",
        "@types/i18n": "0.13.2",
        "@types/jest": "27.5.1",
        "@types/mongoose": "5.11.97",
        "@types/node": "17.0.21",
        "@types/uuid": "8.3.4",
        "@typescript-eslint/eslint-plugin": "5.23.0",
        "@typescript-eslint/parser": "5.23.0",
        "eslint": "8.16.0",
        "eslint-config-prettier": "8.5.0",
        "eslint-import-resolver-typescript": "2.7.1",
        "eslint-plugin-eslint-comments": "3.2.0",
        "eslint-plugin-import": "2.26.0",
        "eslint-plugin-jest": "26.2.2",
        "husky": "8.0.1",
        "jest": "28.1.0",
        "lint-staged": "12.4.1",
        "nodemon": "2.0.16",
        "prettier": "2.6.2",
        "rollup": "2.72.1",
        "rollup-plugin-copy": "3.4.0",
        "standard-version": "9.3.2",
        "ts-jest": "28.0.2",
        "ts-node": "10.7.0",
        "tslib": "2.4.0",
        "typescript": "4.6.4"
    },
    "dependencies": {
        "@discordjs/builders": "^0.13.0",
        "@unh-csonline/discord-modules": "^4.0.2",
        "discord.js": "^13.7.0",
        "i18n": "^0.14.0",
        "jsonschema": "^1.4.0",
        "mongoose": "^6.1.6",
        "uuid": "^8.3.2"
    },
    "lint-staged": {
        "*.{js,jsx,ts,tsx,json}": "eslint --cache --fix",
        "*.{js,jsx,ts,tsx,json,md}": "prettier --write"
    },
    "engines": {
        "node": ">=17.0.0"
    }
}
